package org.ofbiz.accounting.tax;

import java.math.BigDecimal;

import org.ofbiz.entity.GenericValue;

public class Item {
	private GenericValue product;
	private BigDecimal price;
	private BigDecimal amount;
	
	/**
	 * @param product
	 * @param price
	 * @param amount
	 */
	public Item(GenericValue product, BigDecimal price, BigDecimal amount) {
		this.product = product;
		this.price = price;
		this.amount = amount;
	}
	/**
	 * @return Returns the amount.
	 */
	public BigDecimal getAmount() {
		return amount;
	}
	/**
	 * @param amount The amount to set.
	 */
	public void setAmount(BigDecimal amount) {
		this.amount = amount;
	}
	/**
	 * @return Returns the price.
	 */
	public BigDecimal getPrice() {
		return price;
	}
	/**
	 * @param price The price to set.
	 */
	public void setPrice(BigDecimal price) {
		this.price = price;
	}
	/**
	 * @return Returns the product.
	 */
	public GenericValue getProduct() {
		return product;
	}
	/**
	 * @param product The product to set.
	 */
	public void setProduct(GenericValue product) {
		this.product = product;
	}
	
	
}
